Subject: Re: undefined reference to `_WinMain@16
From: "Gerrit P. Haase" <[email-masked]>
To: JoNO ZzZ <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Apr 2003 17:30:58 +0200

Hallo JoNO,

Am Samstag, 19. April 2003 um 13:40 schriebst du:

> I was tring to compile expat-1.95 and got this error:
> "undefined reference to `_WinMain@16'
> collect2: ld returned 1 exit status"

> Why is that? What is missing?

The libtool included in the expat sources is broken, regarding the use
with Cygwin.  You need to relibtoolize with libtool-devel as I did for
the expat binary  version for Cygwin.

Put this in a script in the top source directory (and install
libtool-devel it not already happened), run it and try again:

#! /bin/sh
echo "Copying libtool helper files ..."
autoupdate
(cd conftools/; rm -f ltmain.sh ltconfig)
aclocal -I conftools
libtoolize --force --copy --automake
ltfiles=/usr/autotool/devel/share
cp $ltfiles/aclocal/libtool.m4 conftools/libtool.m4
cp $ltfiles/libtool/missing \
   $ltfiles/libtool/install-sh \
   $ltfiles/libtool/mkinstalldirs \
   conftools/
echo "Creating expat_config.h.in ..."
autoheader
echo "Creating configure ..."
autoconf
rm -rf autom4te*.cache
exit 0

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/